/*------------------------------------------------------------
 * Pagination Section
 *------------------------------------------------------------*/

.pagination,
.hygge-blog__more {
	margin-top: 2.8em;
	margin-bottom: 4.5em;

	.hygge-fullwidth .hygge-blog:last-child &,
	.hygge-contentwidth .hygge-blog:last-child & {
		margin-bottom: 0;
	}
}


.pagination {
	.clearfix;
	.transition;
	opacity: 1;
	visibility: visible;
	position: relative;
	z-index: 1;
	padding: 0;

	.hygge-separator {
		margin-bottom: 1.7em;
	}

	/* js adds class when masonry initiated */
	.loop-is-masonry + & {
		opacity: 0;
		.transition;

		.loop-is-masonry--init-processed&{
			opacity: 1;
		}
	}

	&__classic {
		text-align: center;
		.label;

		span, a {
			position: relative;
			display: inline-block;
			margin-left: -0.4em;
			color: @black;

			&.current {
				background: @grey-pale;
			}

			b {
				font-weight: inherit;
			}

			&:not(.prev):not(.next) {
				float: none;
				text-align: center;
				width: 38px;
				height: 38px;
				line-height: 38px;
				.circled;
			}
		}

		a:hover {
			color: @primary-color;
		}

		a.prev,
		a.next {
			font-size: 26px;
		}

		a.prev {
			float: left;
		}

		a.next {
			float: right;
		}

		@media @tablet, @desktop {
			a.prev { position: absolute; left: 0; }
			a.next { position: absolute; right: 0; }
		}

		.dots {
			pointer-events: none;
		}

		&.pagination__split {
			a {
				width: auto !important;
				padding: 0 20px;
			}
		}
	}



	&__load-more {
		text-align: center;

		.pagination__loader {
			.transition;
			position: absolute;
			top: 50%;
			left: 50%;
			.translate( -50%, -50% );
		}

		.pagination__message {
			opacity: 0;
			visibility: hidden;
			text-align: center;
			color: @grey-label;
			.transition;
			margin-top: -1.7em;
		}

		&.pagination--loading {

			.hygge-loader { opacity: 1; }

			a {
				opacity: 0 !important;
				visibility: hidden;
			}
		}

		&.pagination--disabled:not(.pagination--loading) {

			a {
				opacity: 0;
				visibility: hidden;
			}
			.pagination__message {
				opacity: 1;
				visibility: visible;
			}
		}
	}
}

.hygge-blog__more {
	text-align: center;

	.hygge-sideblock &,
	.sidebar & {
		text-align: left;
		margin-top: 1.7em;
		margin-bottom: 1.7em;
	}
}
